Bug 1110945 - Review Request: voro++ - Library for 3D computations of the Voronoi tessellation
Summary: Review Request: voro++ - Library for 3D computations of the Voronoi tessellation
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1065542 1485034 (view as bug list)
Depends On:
Blocks: 753577 1111388
TreeView+ depends on / blocked
 
Reported: 2014-06-18 20:51 UTC by Sandro Mani
Modified: 2017-08-24 22:01 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-30 23:26:13 UTC
anto.trande: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1111366 None None None Never

Description Sandro Mani 2014-06-18 20:51:09 UTC
Spec URL: http://smani.fedorapeople.org/review/voro++.spec
SRPM URL: http://smani.fedorapeople.org/review/voro++-0.4.6-2.fc21.src.rpm
Description: Library for 3D computations of the Voronoi tessellation
Fedora Account System Username: smani

Comment 1 Sandro Mani 2014-06-18 20:52:09 UTC
*** Bug 1065542 has been marked as a duplicate of this bug. ***

Comment 2 Antonio Trande 2014-06-18 20:56:26 UTC
Taken. :)

Comment 3 Christopher Meng 2014-06-19 01:43:10 UTC
Ensure LDFLAGS is set properly.

Comment 4 Sandro Mani 2014-06-19 08:12:21 UTC
Guess building with CMake is easier than hacking the hand-written makefile...

Spec URL: http://smani.fedorapeople.org/review/voro++.spec
SRPM URL: http://smani.fedorapeople.org/review/voro++-0.4.6-3.fc21.src.rpm

Comment 5 Antonio Trande 2014-06-19 17:46:10 UTC
Why a -libs sub-package?
Does binary file not need library to work?

Comment 6 Sandro Mani 2014-06-19 17:49:46 UTC
The problem is rather that I forgot the Requires >.<

Spec URL: http://smani.fedorapeople.org/review/voro++.spec
SRPM URL: http://smani.fedorapeople.org/review/voro++-0.4.6-4.fc21.src.rpm

%changelog
* Thu Jun 19 2014 Sandro Mani <manisandro@gmail.com> - 0.4.6-4
- Add missing -libs requires for main package

Comment 7 Antonio Trande 2014-06-19 17:56:20 UTC
(In reply to Sandro Mani from comment #6)
> The problem is rather that I forgot the Requires >.<
> 

So better if the single library is packaged with binary file (together with README, LICENSE, NEWS). :)

Remember to fix %post/%postun.

Comment 8 Sandro Mani 2014-06-19 17:58:28 UTC
Dunno, the library has reasons to live alone (i.e. for the gmsh dependency). Clearly, the argument could be made whether the space saved is worth the effort of shipping lib and binary in separate packages, but many other packages already do it like this.

Comment 9 Antonio Trande 2014-06-19 18:27:58 UTC
(In reply to Sandro Mani from comment #8)
> Dunno, the library has reasons to live alone (i.e. for the gmsh dependency).
> Clearly, the argument could be made whether the space saved is worth the
> effort of shipping lib and binary in separate packages, but many other
> packages already do it like this.

Honestly, it seems to me a redundant split. Most of base packages are composed by:

- binary file
- versioned library
- manpage file

Comment 10 Sandro Mani 2014-06-19 18:55:46 UTC
Okay, fair enough, no strong opinions.

Spec URL: http://smani.fedorapeople.org/review/voro++.spec
SRPM URL: http://smani.fedorapeople.org/review/voro++-0.4.6-5.fc21.src.rpm

%changelog
* Thu Jun 19 2014 Sandro Mani <manisandro@gmail.com> - 0.4.6-5
- Merge libs subpackage into main package

Comment 11 Antonio Trande 2014-06-19 19:57:18 UTC
- Fix License tag: LBNL BSD

- Patch0 is not applied.

- You can build a -doc subpackage to include all html documentation, examples,
  scripts directories and their respective README files.
  
- Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

Probably it's related to the perl scripts contained in scripts/ directory.
I don't know if it's enough add just a 'Requires: perl%{?_isa}', sorry.

- manual-page-warning are related to presumed formatting problems of the manpages.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 5038080 bytes in 282 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 55 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1110945-voro++/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5058560 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: voro++-0.4.6-5.fc21.i686.rpm
          voro++-devel-0.4.6-5.fc21.i686.rpm
          voro++-0.4.6-5.fc21.src.rpm
voro++.i686: W: spelling-error %description -l en_US Voro -> Moro, Voronezh
voro++.i686: W: spelling-error %description -l en_US centroid -> centrist
voro++.i686: W: invalid-license LBNLBSD
voro++.i686: W: shared-lib-calls-exit /usr/lib/libvoro++.so.0.0.0 exit@GLIBC_2.0
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 85: warning: numeric expression expected (got `s')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 100: warning: numeric expression expected (got `o')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 108: warning: numeric expression expected (got `l')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 117: warning: numeric expression expected (got `m')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 123: warning: numeric expression expected (got `n')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 181: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 188: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 193: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 197: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 200: warning: numeric expression expected (got `x')
voro++-devel.i686: W: spelling-error Summary(en_US) voro -> Moro, Voronezh
voro++-devel.i686: W: summary-not-capitalized C voro++ headers
voro++-devel.i686: W: spelling-error %description -l en_US voro -> Moro, Voronezh
voro++-devel.i686: W: invalid-license LBNLBSD
voro++.src: W: spelling-error %description -l en_US Voro -> Moro, Voronezh
voro++.src: W: spelling-error %description -l en_US centroid -> centrist
voro++.src: W: invalid-license LBNLBSD
voro++.src: W: patch-not-applied Patch0: voro++_virtual-destructor.patch
3 packages and 0 specfiles checked; 0 errors, 22 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint voro++ voro++-devel
voro++.i686: W: spelling-error %description -l en_US Voro -> Moro, Voronezh
voro++.i686: W: spelling-error %description -l en_US centroid -> centrist
voro++.i686: W: invalid-license LBNLBSD
voro++.i686: W: shared-lib-calls-exit /usr/lib/libvoro++.so.0.0.0 exit@GLIBC_2.0
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 85: warning: numeric expression expected (got `s')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 100: warning: numeric expression expected (got `o')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 108: warning: numeric expression expected (got `l')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 117: warning: numeric expression expected (got `m')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 123: warning: numeric expression expected (got `n')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 181: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 188: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 193: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 197: warning: numeric expression expected (got `x')
voro++.i686: W: manual-page-warning /usr/share/man/man1/voro++.1.gz 200: warning: numeric expression expected (got `x')
voro++-devel.i686: W: spelling-error Summary(en_US) voro -> Moro, Voronezh
voro++-devel.i686: W: summary-not-capitalized C voro++ headers
voro++-devel.i686: W: spelling-error %description -l en_US voro -> Moro, Voronezh
voro++-devel.i686: W: invalid-license LBNLBSD
2 packages and 0 specfiles checked; 0 errors, 18 warnings.
# echo 'rpmlint-done:'



Requires
--------
voro++ (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libvoro++.so.0
    rtld(GNU_HASH)

voro++-devel (rpmlib, GLIBC filtered):
    libvoro++.so.0
    voro++(x86-32)



Provides
--------
voro++:
    libvoro++.so.0
    voro++
    voro++(x86-32)

voro++-devel:
    voro++-devel
    voro++-devel(x86-32)



Source checksums
----------------
http://math.lbl.gov/voro++/download/dir/voro++-0.4.6.tar.gz :
  CHECKSUM(SHA256) this package     : ef7970071ee2ce3800daa8723649ca069dc4c71cc25f0f7d22552387f3ea437e
  CHECKSUM(SHA256) upstream package : ef7970071ee2ce3800daa8723649ca069dc4c71cc25f0f7d22552387f3ea437e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1110945
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 12 Sandro Mani 2014-06-19 20:50:01 UTC
> - Patch0 is not applied.
Done by autosetup
> - Perl:
> [?]: Package contains the mandatory BuildRequires and Requires:.
>      Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
>      $version)) missing?
I don't think that it is necessary to add Requires or BRs for any files in %doc.

Spec URL: http://smani.fedorapeople.org/review/voro++.spec
SRPM URL: http://smani.fedorapeople.org/review/voro++-0.4.6-6.fc21.src.rpm

%changelog
* Thu Jun 19 2014 Sandro Mani <manisandro@gmail.com> - 0.4.6-6
- Fix license
- doc subpackage
- Fix manpage formatting

Comment 13 Antonio Trande 2014-06-19 21:11:42 UTC
-doc sub-package does not contain any License file.

Comment 14 Sandro Mani 2014-06-19 21:14:04 UTC
Argh, sorry! Kinda working on too many package at the same time. Spec and SRPM updated (no release bump).

Comment 15 Antonio Trande 2014-06-19 21:33:58 UTC
Package approved.

Note: 
voro++.src: W: patch-not-applied Patch0: voro++_virtual-destructor.patch
voro++.src: W: patch-not-applied Patch1: voro++_man.patch

These warnings are not estimable for me. I opened a bug (bz#1111366).

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 55 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1110945-voro++/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in voro++-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: voro++-0.4.6-6.fc21.i686.rpm
          voro++-devel-0.4.6-6.fc21.i686.rpm
          voro++-doc-0.4.6-6.fc21.noarch.rpm
          voro++-0.4.6-6.fc21.src.rpm
voro++.i686: W: spelling-error %description -l en_US Voro -> Moro, Voronezh
voro++.i686: W: spelling-error %description -l en_US centroid -> centrist
voro++.i686: W: shared-lib-calls-exit /usr/lib/libvoro++.so.0.0.0 exit@GLIBC_2.0
voro++-devel.i686: W: spelling-error Summary(en_US) voro -> Moro, Voronezh
voro++-devel.i686: W: summary-not-capitalized C voro++ headers
voro++-devel.i686: W: spelling-error %description -l en_US voro -> Moro, Voronezh
voro++-devel.i686: W: no-documentation
voro++-doc.noarch: W: spelling-error Summary(en_US) voro -> Moro, Voronezh
voro++-doc.noarch: W: summary-not-capitalized C voro++ documentation
voro++-doc.noarch: W: spelling-error %description -l en_US voro -> Moro, Voronezh
voro++.src: W: spelling-error %description -l en_US Voro -> Moro, Voronezh
voro++.src: W: spelling-error %description -l en_US centroid -> centrist
voro++.src: W: patch-not-applied Patch0: voro++_virtual-destructor.patch
voro++.src: W: patch-not-applied Patch1: voro++_man.patch
4 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint voro++-doc voro++ voro++-devel
voro++-doc.noarch: W: spelling-error Summary(en_US) voro -> Moro, Voronezh
voro++-doc.noarch: W: summary-not-capitalized C voro++ documentation
voro++-doc.noarch: W: spelling-error %description -l en_US voro -> Moro, Voronezh
voro++.i686: W: spelling-error %description -l en_US Voro -> Moro, Voronezh
voro++.i686: W: spelling-error %description -l en_US centroid -> centrist
voro++.i686: W: shared-lib-calls-exit /usr/lib/libvoro++.so.0.0.0 exit@GLIBC_2.0
voro++-devel.i686: W: spelling-error Summary(en_US) voro -> Moro, Voronezh
voro++-devel.i686: W: summary-not-capitalized C voro++ headers
voro++-devel.i686: W: spelling-error %description -l en_US voro -> Moro, Voronezh
voro++-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
voro++-doc (rpmlib, GLIBC filtered):

voro++ (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libvoro++.so.0
    rtld(GNU_HASH)

voro++-devel (rpmlib, GLIBC filtered):
    libvoro++.so.0
    voro++(x86-32)



Provides
--------
voro++-doc:
    voro++-doc

voro++:
    libvoro++.so.0
    voro++
    voro++(x86-32)

voro++-devel:
    voro++-devel
    voro++-devel(x86-32)



Source checksums
----------------
http://math.lbl.gov/voro++/download/dir/voro++-0.4.6.tar.gz :
  CHECKSUM(SHA256) this package     : ef7970071ee2ce3800daa8723649ca069dc4c71cc25f0f7d22552387f3ea437e
  CHECKSUM(SHA256) upstream package : ef7970071ee2ce3800daa8723649ca069dc4c71cc25f0f7d22552387f3ea437e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1110945
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 16 Sandro Mani 2014-06-19 21:40:41 UTC
Thanks again! If you need a review, feel free to ping me.

New Package SCM Request
=======================
Package Name: voro++
Short Description: Library for 3D computations of the Voronoi tessellation
Owners: smani
Branches: f20 el6 epel7
InitialCC:

Comment 17 Kevin Fenzi 2014-06-21 17:19:34 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2014-06-22 00:05:33 UTC
voro++-0.4.6-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/voro++-0.4.6-6.fc20

Comment 19 Fedora Update System 2014-06-22 23:57:57 UTC
voro++-0.4.6-6.fc20 has been pushed to the Fedora 20 testing repository.

Comment 20 Fedora Update System 2014-06-30 23:26:13 UTC
voro++-0.4.6-6.fc20 has been pushed to the Fedora 20 stable repository.

Comment 21 Fedora Update System 2015-01-03 16:13:50 UTC
voro++-0.4.6-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/voro++-0.4.6-7.el6

Comment 22 Fedora Update System 2015-01-03 16:15:34 UTC
voro++-0.4.6-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/voro++-0.4.6-7.el7

Comment 23 Fedora Update System 2015-01-24 18:44:19 UTC
voro++-0.4.6-7.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 24 Fedora Update System 2015-01-24 18:50:18 UTC
voro++-0.4.6-7.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 25 Christoph Junghans 2017-08-24 22:01:02 UTC
*** Bug 1485034 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.